fix test failures that depend on when tests run.
--- a/tests/test-command-template Sat Mar 04 21:12:53 2006 -0800
+++ b/tests/test-command-template Sun Mar 05 17:08:35 2006 -0800
@@ -26,13 +26,13 @@
echo '# default style is like normal output'
hg log > log.out
hg log --style default > style.out
-diff -u log.out style.out
+diff log.out style.out
hg log -v > log.out
hg log -v --style default > style.out
-diff -u log.out style.out
+diff log.out style.out
hg log --debug > log.out
hg log --debug --style default > style.out
-diff -u log.out style.out
+diff log.out style.out
echo '# compact style works'
hg log --style compact
@@ -77,7 +77,7 @@
hg log --template '{author|domain}\n'
hg log --template '{author|person}\n'
hg log --template '{author|user}\n'
-hg log --template '{date|age}\n'
+hg log --template '{date|age}\n' > /dev/null || exit 1
hg log --template '{date|date}\n'
hg log --template '{date|isodate}\n'
hg log --template '{date|rfc822date}\n'